Get workflow run details
Retrieve details of a specific workflow run.
API key must have the View workflow runs permission.
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Path Parameters
The tag or unique, auto-generated identifier for the workflow. Entity identifier - can be a tag or CID
The ID of the run, from runWorkflow or listWorkflowRuns
Query Parameters
When true, the response includes the run context. Defaults to false for MCP clients and true otherwise.
Response
Successfully found workflow run
Actions and their states
Id of the run
Status of the workflow run. PAUSED means it waits for a user input or an approval.
NOT_INITIATED, IN_PROGRESS, PAUSED, COMPLETED, FAILED, CANCELLED, TIMED_OUT Variable values
Summary of the workflow
Time the workflow run completed
Context of the run. Omitted when the request sets includeContext=false, which is the default for MCP clients.
Who initiated the workflow run
- Option 1
- Option 2
Id of the run that retried this run. Null when no run retried it.
Id of the failed run that this run retries. Null when this run is not a retry.
Time the workflow run started